<!--
{
  "availability" : [

  ],
  "documentType" : "symbol",
  "framework" : "apple-school-and-business-manager-api",
  "identifier" : "/documentation/AppleBusinessAPI/Get-Users",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Apple Business API"
    ],
    "preciseIdentifier" : "rest:AppleBusinessAPI:get:v1-users"
  },
  "title" : "Get Users"
}
-->

# Get Users

Get a list of users in an organization.

## Overview

### Example

**Request:**

```
curl "https://api-business.apple.com/v1/users" \
    -H "Authorization: Bearer ${ACCESS_TOKEN}"
```

**Response:**

```json
    {
    "data": [
      {
        "type": "users",
        "id": "1234567890",
        "attributes": {
          "firstName": "John",
          "lastName": "Doe",
          "middleName": "A",
          "status": "ACTIVE",
          "managedAppleAccount": "john.doe@appleid.example.com",
          "isExternalUser": false,
          "roleOuList": [
            {
              "roleName": "Administrator",
              "ouId": "OU123456"
            }
          ],
          "email": "john.doe@example.com",
          "employeeNumber": "EMP001",
          "costCenter": "CC100",
          "division": "Engineering",
          "department": "IT",
          "jobTitle": "Software Engineer",
          "startDateTime": "2023-01-15T08:00:00Z",
          "createdDateTime": "2023-01-10T10:30:00Z",
          "updatedDateTime": "2024-06-01T14:22:00Z",
          "phoneNumbers": [
            {
              "phoneNumber": "+1-555-123-4567",
              "type": "WORK"
            }
          ]
        },
        "links": {
          "self": "https://api-business.apple.com/v1/users/1234567890"
        }
      }
    ],
    "links": {
      "self": "https://api-business.apple.com/v1/users",
      "next": "https://api-business.apple.com/v1/users?cursor=MDowOjE3NDYxMTM4OTI1OTA6MTc0NjExMzg5MjU5MDp0cnVlOmZhbHNlOjE3NDYxMTM4OTI1OTA"
    },
    "meta": {
      "paging": {
        "nextCursor": "MDowOjE3NDYxMTM4OTI1OTA6MTc0NjExMzg5MjU5MDp0cnVlOmZhbHNlOjE3NDYxMTM4OTI1OTA",
        "limit": 100
      }
    }
  }
```

## Topics

### Responses

[`object UsersResponse`](/documentation/AppleBusinessAPI/UsersResponse)

A response that contains a list of user resources.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)